mozilla-thunderbird: FTBFS (gcc-4.0/amd64/ppc64): array type has incomplete element type

Bug #15339 reported by Debian Bug Importer
6
Affects Status Importance Assigned to Milestone
mozilla-thunderbird (Debian)
Fix Released
Unknown
mozilla-thunderbird (Ubuntu)
Fix Released
High
Adam Conrad

Bug Description

Automatically imported from Debian bug report #301481 http://bugs.debian.org/301481

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #301481 http://bugs.debian.org/301481

Revision history for this message
Debian Bug Importer (debzilla) wrote :
Download full text (7.5 KiB)

Message-Id: <email address hidden>
Date: Sat, 26 Mar 2005 10:27:32 +0100
From: Andreas Jochens <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: mozilla-thunderbird: FTBFS (gcc-4.0/amd64/ppc64): array type has incomplete element type

Package: mozilla-thunderbird
Severity: normal
Tags: patch

When building 'mozilla-thunderbird' on amd64 or ppc64 with gcc-4.0,
I get the following error:

make[5]: Entering directory `/mozilla-thunderbird-1.0/build-dir/mozilla/security/nss/lib/pki'
gcc -o Linux2.6_x86_64_glibc_PTH_64_OPT.OBJ/asymmkey.o -c -O2 -fPIC -DLINUX1_2 -D_XOPEN_SOURCE -DLINUX2_1 -ansi -Wall -pipe -DLINUX -Dlinux -D_POSIX_SOURCE -D_BSD_SOURCE -DHAVE_STRERROR -DXP_UNIX -DNSS_3_4_CODE -UDEBUG -DNDEBUG -D_REENTRANT -I/mozilla-thunderbird-1.0/build-dir/mozilla/dist/include -I../../../../dist/public/nss -I../../../../dist/private/nss -I../../../../dist/include -I/mozilla-thunderbird-1.0/build-dir/mozilla/dist/include/nspr -I/mozilla-thunderbird-1.0/build-dir/mozilla/dist/include/dbm -I../../../../dist/public/nspr asymmkey.c
In file included from ../../../../dist/private/nss/nsspki1.h:57,
                 from nsspki.h:56,
                 from asymmkey.c:39:
../../../../dist/private/nss/oiddata.h:46: error: array type has incomplete element type

With the attached patch 'mozilla-thunderbird' can be compiled
on amd64 with gcc-4.0.

Regards
Andreas Jochens

diff -urN ../tmp-orig/mozilla-thunderbird-1.0/debian/patches/00list ./debian/patches/00list
--- ../tmp-orig/mozilla-thunderbird-1.0/debian/patches/00list 2005-03-22 22:42:43.235161801 +0100
+++ ./debian/patches/00list 2005-03-22 21:32:33.000000000 +0100
@@ -26,3 +26,5 @@
 70_single_typeaheadfind_package
 80_mailnews_imap_perm-patch
 80_mozilla-thunderbird-in-reply-to
+90_gcc4_fix
+
diff -urN ../tmp-orig/mozilla-thunderbird-1.0/debian/patches/90_gcc4_fix.dpatch ./debian/patches/90_gcc4_fix.dpatch
--- ../tmp-orig/mozilla-thunderbird-1.0/debian/patches/90_gcc4_fix.dpatch 1970-01-01 01:00:00.000000000 +0100
+++ ./debian/patches/90_gcc4_fix.dpatch 2005-03-22 21:55:02.069325708 +0100
@@ -0,0 +1,110 @@
+#!/bin/sh -e
+## 90_gcc4_fix.dpatch
+##
+## All lines beginning with `## DP:' are a description of the patch.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urN tmp/mozilla/netwerk/protocol/http/src/nsHttpConnectionMgr.cpp mozilla/netwerk/protocol/http/src/nsHttpConnectionMgr.cpp
+--- tmp/mozilla/netwerk/protocol/http/src/nsHttpConnectionMgr.cpp 2004-09-02 01:31:03.000000000 +0200
++++ mozilla/netwerk/protocol/http/src/nsHttpConnectionMgr.cpp 2005-03-22 18:03:58.000000000 +0100
+@@ -834,8 +834,8 @@
+ void
+ nsHttpConnectionMgr::OnMsgUpdateParam(nsresult status, void *param)
+ {
+- PRUint16 na...

Read more...

Revision history for this message
In , Alexander Sack (asac) wrote : Re: Bug#301481: mozilla-thunderbird: FTBFS (gcc-4.0/amd64/ppc64): array type has incomplete element type

Andreas Jochens wrote:
> Package: mozilla-thunderbird
> Severity: normal
> Tags: patch
>
> When building 'mozilla-thunderbird' on amd64 or ppc64 with gcc-4.0,
> I get the following error:
>
>

I saw some dicussion going on on the equiv. bug for firefox. Has any final patch
evolved from that discussion?

--
 GPG messages preferred. | .''`. ** Debian GNU/Linux **
 Alexander Sack | : :' : The universal
 <email address hidden> | `. `' Operating System
 http://www.asoftsite.org | `- http://www.debian.org/

Revision history for this message
In , Alexander Sack (asac) wrote :

Alexander Sack wrote:

>>When building 'mozilla-thunderbird' on amd64 or ppc64 with gcc-4.0,
>>I get the following error:
>>
>>
>
>
> I saw some dicussion going on on the equiv. bug for firefox. Has any final patch
> evolved from that discussion?
>

Any news?

--
 GPG messages preferred. | .''`. ** Debian GNU/Linux **
 Alexander Sack | : :' : The universal
 <email address hidden> | `. `' Operating System
 http://www.asoftsite.org | `- http://www.debian.org/

Revision history for this message
Matthias Klose (doko) wrote :

proposal to update the package to the recent version

Revision history for this message
Matt Zimmerman (mdz) wrote :

Can you be more specific? If you want 1.0.2-3 from sid, you only need to
request a sync since it isn't a new upstream

Revision history for this message
Matthias Klose (doko) wrote :

No, I do mean 1.0.6, to match the firefox 1.0.6 in breezy

Revision history for this message
In , Alexander Sack (asac) wrote : Bug#301481: fixed in mozilla-thunderbird 1.0.6-1
Download full text (5.2 KiB)

Source: mozilla-thunderbird
Source-Version: 1.0.6-1

We believe that the bug you reported is fixed in the latest version of
mozilla-thunderbird, which is due to be installed in the Debian FTP archive:

mozilla-thunderbird-dev_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-dev_1.0.6-1_i386.deb
mozilla-thunderbird-inspector_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-inspector_1.0.6-1_i386.deb
mozilla-thunderbird-offline_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-offline_1.0.6-1_i386.deb
mozilla-thunderbird-typeaheadfind_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-typeaheadfind_1.0.6-1_i386.deb
mozilla-thunderbird_1.0.6-1.diff.gz
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6-1.diff.gz
mozilla-thunderbird_1.0.6-1.dsc
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6-1.dsc
mozilla-thunderbird_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6-1_i386.deb
mozilla-thunderbird_1.0.6.orig.tar.gz
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Sack <email address hidden> (supplier of updated mozilla-thunderbird package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 21 Jul 2005 21:00:00 +0100
Source: mozilla-thunderbird
Binary: mozilla-thunderbird-dev mozilla-thunderbird-inspector mozilla-thunderbird mozilla-thunderbird-typeaheadfind mozilla-thunderbird-offline
Architecture: source i386
Version: 1.0.6-1
Distribution: unstable
Urgency: high
Maintainer: Alexander Sack <email address hidden>
Changed-By: Alexander Sack <email address hidden>
Description:
 mozilla-thunderbird - Mozilla Thunderbird standalone mail client
 mozilla-thunderbird-dev - mozilla thunderbird development files
 mozilla-thunderbird-inspector - mozilla thunderbird dom inspector extension
 mozilla-thunderbird-offline - mozilla thunderbird offline extension
 mozilla-thunderbird-typeaheadfind - mozilla thunderbird typeaheadfind extension
Closes: 285728 301481 301481 306893 308961 315588 317937 318728 318747
Changes:
 mozilla-thunderbird (1.0.6-1) unstable; urgency=high
 .
   * GCC/G++ 4.0 API transition upload.
   * include 90_new_freetype_fix.dpatch to fix new freetype API
       (Closes: 301481, 301481) - consumed from mozilla-firefox packages ...
       thx to Eric Dorland <email address hidden>
   * include 90_gcc4_fix.dpatch
   * fixes multiple security bugs (Closes: 318728)
       CAN-2005-2270: Code execution through shared function objects
       CAN-2005-2269: XHTML node spoofing
       CAN-2005-2266: Same origin violation: frame calling top.focus()
       CAN-2...

Read more...

Revision history for this message
Matthias Klose (doko) wrote :

the patch was added, but it still FTBFS on amd64 and ia64

Revision history for this message
Adam Conrad (adconrad) wrote :

Resolved in breezy.

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 03 May 2005 23:46:23 +0200
From: Alexander Sack <email address hidden>
To: Andreas Jochens <email address hidden>, <email address hidden>
Subject: Re: Bug#301481: mozilla-thunderbird: FTBFS (gcc-4.0/amd64/ppc64):
 array type has incomplete element type

Andreas Jochens wrote:
> Package: mozilla-thunderbird
> Severity: normal
> Tags: patch
>
> When building 'mozilla-thunderbird' on amd64 or ppc64 with gcc-4.0,
> I get the following error:
>
>

I saw some dicussion going on on the equiv. bug for firefox. Has any final patch
evolved from that discussion?

--
 GPG messages preferred. | .''`. ** Debian GNU/Linux **
 Alexander Sack | : :' : The universal
 <email address hidden> | `. `' Operating System
 http://www.asoftsite.org | `- http://www.debian.org/

Revision history for this message
Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 05 Jul 2005 09:27:51 +0200
From: Alexander Sack <email address hidden>
To: <email address hidden>
CC: Andreas Jochens <email address hidden>
Subject: Re: Bug#301481: mozilla-thunderbird: FTBFS (gcc-4.0/amd64/ppc64):
 array type has incomplete element type

Alexander Sack wrote:

>>When building 'mozilla-thunderbird' on amd64 or ppc64 with gcc-4.0,
>>I get the following error:
>>
>>
>
>
> I saw some dicussion going on on the equiv. bug for firefox. Has any final patch
> evolved from that discussion?
>

Any news?

--
 GPG messages preferred. | .''`. ** Debian GNU/Linux **
 Alexander Sack | : :' : The universal
 <email address hidden> | `. `' Operating System
 http://www.asoftsite.org | `- http://www.debian.org/

Revision history for this message
Debian Bug Importer (debzilla) wrote :
Download full text (5.5 KiB)

Message-Id: <email address hidden>
Date: Thu, 28 Jul 2005 16:03:01 -0700
From: Alexander Sack <email address hidden>
To: <email address hidden>
Subject: Bug#301481: fixed in mozilla-thunderbird 1.0.6-1

Source: mozilla-thunderbird
Source-Version: 1.0.6-1

We believe that the bug you reported is fixed in the latest version of
mozilla-thunderbird, which is due to be installed in the Debian FTP archive:

mozilla-thunderbird-dev_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-dev_1.0.6-1_i386.deb
mozilla-thunderbird-inspector_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-inspector_1.0.6-1_i386.deb
mozilla-thunderbird-offline_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-offline_1.0.6-1_i386.deb
mozilla-thunderbird-typeaheadfind_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird-typeaheadfind_1.0.6-1_i386.deb
mozilla-thunderbird_1.0.6-1.diff.gz
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6-1.diff.gz
mozilla-thunderbird_1.0.6-1.dsc
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6-1.dsc
mozilla-thunderbird_1.0.6-1_i386.deb
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6-1_i386.deb
mozilla-thunderbird_1.0.6.orig.tar.gz
  to pool/main/m/mozilla-thunderbird/mozilla-thunderbird_1.0.6.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Sack <email address hidden> (supplier of updated mozilla-thunderbird package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 21 Jul 2005 21:00:00 +0100
Source: mozilla-thunderbird
Binary: mozilla-thunderbird-dev mozilla-thunderbird-inspector mozilla-thunderbird mozilla-thunderbird-typeaheadfind mozilla-thunderbird-offline
Architecture: source i386
Version: 1.0.6-1
Distribution: unstable
Urgency: high
Maintainer: Alexander Sack <email address hidden>
Changed-By: Alexander Sack <email address hidden>
Description:
 mozilla-thunderbird - Mozilla Thunderbird standalone mail client
 mozilla-thunderbird-dev - mozilla thunderbird development files
 mozilla-thunderbird-inspector - mozilla thunderbird dom inspector extension
 mozilla-thunderbird-offline - mozilla thunderbird offline extension
 mozilla-thunderbird-typeaheadfind - mozilla thunderbird typeaheadfind extension
Closes: 285728 301481 301481 306893 308961 315588 317937 318728 318747
Changes:
 mozilla-thunderbird (1.0.6-1) unstable; urgency=high
 .
   * GCC/G++ 4.0 API transition upload.
   * include 90_new_freetype_fix.dpatch to fix new freetype API
       (Closes: 301481, 301481) - consumed from mozilla-firefox packages ...
       thx to Eric Dorland <email address hidden>
   * include 90_gcc4_fix.dpatch
   * fixes multiple securit...

Read more...

Revision history for this message
In , Alexander Sack (asac) wrote : mass reassign
Download full text (9.3 KiB)

clone 306522 -212
reassign -212 thunderbird
clone 317249 -213
reassign -213 thunderbird
clone 317836 -214
reassign -214 thunderbird
clone 326484 -215
reassign -215 thunderbird
clone 320257 -216
reassign -216 thunderbird
clone 320733 -217
reassign -217 thunderbird
clone 325829 -218
reassign -218 thunderbird
clone 333265 -219
reassign -219 thunderbird
clone 334621 -220
reassign -220 thunderbird
clone 338408 -221
reassign -221 thunderbird
clone 348606 -222
reassign -222 thunderbird
clone 352356 -223
reassign -223 thunderbird
clone 353518 -224
reassign -224 thunderbird
clone 359850 -225
reassign -225 thunderbird
clone 274987 -226
reassign -226 thunderbird
clone 297293 -227
reassign -227 thunderbird
clone 305875 -228
reassign -228 thunderbird
clone 315183 -229
reassign -229 thunderbird
clone 251389 -230
reassign -230 thunderbird
clone 251471 -231
reassign -231 thunderbird
clone 302122 -232
reassign -232 thunderbird
clone 308736 -233
reassign -233 thunderbird
clone 231640 -234
reassign -234 thunderbird
clone 259531 -235
reassign -235 thunderbird
clone 273668 -236
reassign -236 thunderbird
clone 276290 -237
reassign -237 thunderbird
clone 278824 -238
reassign -238 thunderbird
clone 282578 -239
reassign -239 thunderbird
clone 284601 -240
reassign -240 thunderbird
clone 284947 -241
reassign -241 thunderbird
clone 286390 -242
reassign -242 thunderbird
clone 287268 -243
reassign -243 thunderbird
clone 295623 -244
reassign -244 thunderbird
clone 296911 -245
reassign -245 thunderbird
clone 297176 -246
reassign -246 thunderbird
clone 297692 -247
reassign -247 thunderbird
clone 299766 -248
reassign -248 thunderbird
clone 301178 -249
reassign -249 thunderbird
clone 301460 -250
reassign -250 thunderbird
clone 302179 -251
reassign -251 thunderbird
clone 305429 -252
reassign -252 thunderbird
clone 308735 -253
reassign -253 thunderbird
clone 309769 -254
reassign -254 thunderbird
clone 310630 -255
reassign -255 thunderbird
clone 285728 -256
reassign -256 thunderbird
clone 312709 -257
reassign -257 thunderbird
clone 318939 -258
reassign -258 thunderbird
clone 319600 -259
reassign -259 thunderbird
clone 320381 -260
reassign -260 thunderbird
clone 321753 -261
reassign -261 thunderbird
clone 321762 -262
reassign -262 thunderbird
clone 325140 -263
reassign -263 thunderbird
clone 326479 -264
reassign -264 thunderbird
clone 326480 -265
reassign -265 thunderbird
clone 326481 -266
reassign -266 thunderbird
clone 326485 -267
reassign -267 thunderbird
clone 327292 -268
reassign -268 thunderbird
clone 327335 -269
reassign -269 thunderbird
clone 332940 -270
reassign -270 thunderbird
clone 333341 -271
reassign -271 thunderbird
clone 333507 -272
reassign -272 thunderbird
clone 334286 -273
reassign -273 thunderbird
clone 334869 -274
reassign -274 thunderbird
clone 338786 -275
reassign -275 thunderbird
clone 339484 -276
reassign -276 thunderbird
clone 340374 -277
reassign -277 thunderbird
clone 340724 -278
reassign -278 thunderbird
clone 341416 -279
reassign -279 thunderbird
clone 343225 -280
reassign -280 thunderbird
clone 343697 -281
reassign -281 thunderbird
clone 344167 -282
reassign -282 thunderbird
clone 345240 -283
reassign -283 thunderbird
clone 345394 -284
reassign -284 ...

Read more...

Revision history for this message
In , Alexander Sack (asac) wrote : closing previously cloned bug 301481. The new one is 363877

close 301481 1.5-1
thanks

Some time ago, I cloned your mozilla-thunderbird bug #301481 as bug #363877.
The new bug is the one to track your issue for the new thunderbird package.
Thus, I close your original mozilla-thunderbird bug for all versions of the 1.5 branch and later.

This mail is just a mail to educate you why your original bug is marked as done now.
You don't need to do anything. Your bug is still open and maintained.

Maybe take the time to take a look at your bug at http://bugs.debian.org/363877 and
verify if it still applies. If it is gone, please send a mail to
<email address hidden>.

Thanks,

Alexander Sack
<email address hidden>
http://www.asoftsite.org

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.